%global po_package mate-vfs-2.0

Summary:			The MATE virtual file-system libraries
Name:				mate-vfs
Version:			1.4.0
Release:			10%{?dist}
License:			LGPLv2+ and GPLv2+
					# the daemon and the library are LGPLv2+
					# the modules are LGPLv2+ and GPLv2+
Group:				System Environment/Libraries
Source0:			http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
URL:				http://mate-desktop.org
Requires(post):		mate-conf
Requires(pre):		mate-conf
Requires(preun):	mate-conf

BuildRequires:		mate-conf-devel
BuildRequires:		bzip2-devel
BuildRequires:		libsmbclient-devel
BuildRequires:		openssl-devel
BuildRequires:		gamin-devel
BuildRequires:		krb5-devel
BuildRequires:		avahi-glib-devel
BuildRequires:		dbus-glib-devel
BuildRequires:		libacl-devel
BuildRequires:		libselinux-devel
BuildRequires:		keyutils-libs-devel
BuildRequires:		mate-mime-data-devel
BuildRequires:		mate-common
BuildRequires:		libxml2-devel

# For gvfs-open
Requires:	gvfs

Patch0:		mate-vfs-1.4.0-modules-conf.patch

# Default
Patch1:		mate-vfs-1.4.0-browser_default.patch

# RH bug #197868
Patch2:		mate-vfs-1.4.0-mailto-command.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=333041
# https://bugzilla.redhat.com/show_bug.cgi?id=335241
Patch3:		mate-vfs-1.4.0-ignore-certain-mountpoints.patch

# gnome-vfs-daemon exits on dbus, and constantly restarted causing dbus/hal to hog CPU
# https://bugzilla.redhat.com/show_bug.cgi?id=486286
Patch4:		mate-vfs-1.4.0-utf8-mounts.patch

%description
MATE VFS is the MATE virtual file system. It is the foundation of
the Caja file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, back end
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing MATE VFS applications
Group: Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for writing
MATE VFS modules and applications that use the MATE VFS APIs.

%package smb
Summary: Windows file share support for mate-vfs
Group: System Environment/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description smb
This package provides support for reading and writing files on windows
shares (SMB) to applications using MATE VFS.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .modules-conf
%patch1 -p1 -b .mailto-command
%patch2 -p1 -b .browser_default
%patch3 -p1 -b .ignore-certain-mount-points
%patch4 -p1 -b .utf8-mounts

NOCONFIGURE=1 ./autogen.sh

%build
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi

export CPPFLAGS="-I/usr/include/cdda"

%configure \
	--enable-daemon \
	--disable-static


sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS > AUTHORS.new && \
touch -r AUTHORS AUTHORS.new && \
mv AUTHORS.new AUTHORS

make %{?_smp_mflags}


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%post
/sbin/ldconfig
%mateconf_schema_upgrade system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications

%pre
%mateconf_schema_prepare system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications

%preun
%mateconf_schema_remove system_http_proxy system_dns_sd system_smb desktop_mate_url_handlers desktop_default_applications

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.LIB NEWS README
%dir %{_sysconfdir}/mate-vfs-2.0
%dir %{_sysconfdir}/mate-vfs-2.0/modules
%config(noreplace) %{_sysconfdir}/mate-vfs-2.0/modules/*.conf
%exclude %{_sysconfdir}/mate-vfs-2.0/modules/smb-module.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/mate-vfs-2.0/modules/libsmb.so
# these .so-files are plugins for mate-vfs
%{_libdir}/mate-vfs-2.0/modules
%dir %{_libdir}/mate-vfs-2.0
%config(noreplace) %{_sysconfdir}/mateconf/schemas/*
%{_datadir}/dbus-1/services/mate-vfs-daemon.service

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/mate-vfs-2.0/include
%{_includedir}/*
%{_datadir}/gtk-doc/html/mate-vfs-2.0/*

%files smb
%{_libdir}/mate-vfs-2.0/modules/libsmb.so
%config(noreplace) %{_sysconfdir}/mate-vfs-2.0/modules/smb-module.conf

%changelog
* Thu Aug 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- add comment to files section

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- convert authors file to utf8

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- remove hal bits
- fix rpm scriptlets

* Tue Aug 07 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- add BuildRequires: libxml2-devel
- change patch names to mate
- add isa tags
- remove unnecessaries BuildRequires: intltool gtk-doc

* Thu Jul 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- remove unnecessary BuildRequires

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-vfs.spec based on gnome-vfs2-2.24.4-6.fc16 spec
